Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## au.com.bytecode.opencsv.bean
Class HeaderColumnNameTranslateMappingStrategy

    java.lang.Object
      au.com.bytecode.opencsv.bean.HeaderColumnNameMappingStrategy
          au.com.bytecode.opencsv.bean.HeaderColumnNameTranslateMappingStrategy

All Implemented Interfaces:
  MappingStrategy

public class HeaderColumnNameTranslateMappingStrategy
extends HeaderColumnNameMappingStrategy

Copyright 2007 Kyle Miller. Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Field Summary

Fields inherited from class au.com.bytecode.opencsv.bean.HeaderColumnNameMappingStrategy
`descriptors, header, type`

Constructor Summary
`HeaderColumnNameTranslateMappingStrategy()`

Method Summary
`java.util.Map` | `getColumnMapping()`
`protected java.lang.String` | `getColumnName(int col)`
`void` | `setColumnMapping(java.util.Map columnMapping)`

Methods inherited from class au.com.bytecode.opencsv.bean.HeaderColumnNameMappingStrategy
`captureHeader, createBean, findDescriptor, findDescriptor, getType, loadDescriptors, matches, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeaderColumnNameTranslateMappingStrategy

    public HeaderColumnNameTranslateMappingStrategy()

Method Detail

### getColumnName

    protected java.lang.String getColumnName(int col)

  Overrides:
    `getColumnName` in class `HeaderColumnNameMappingStrategy`

### getColumnMapping

    public java.util.Map getColumnMapping()

### setColumnMapping

    public void setColumnMapping(java.util.Map columnMapping)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Bytecode Pty Ltd.